Debian Bug report logs - #651007
add Multi-Arch support

version graph

Package: libraw1394; Maintainer for libraw1394 is Guus Sliepen <guus@debian.org>;

Reported by: Kees Cook <kees@debian.org>

Date: Sun, 4 Dec 2011 23:45:03 UTC

Severity: normal

Tags: patch

Found in version 2.0.7-1

Fixed in version libraw1394/2.0.8-1

Done: Guus Sliepen <guus@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Guus Sliepen <guus@debian.org>:
Bug#651007; Package libraw1394. (Sun, 04 Dec 2011 23:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@debian.org>:
New Bug report received and forwarded. Copy sent to Guus Sliepen <guus@debian.org>. (Sun, 04 Dec 2011 23:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@debian.org>
To: Debian Bugs <submit@bugs.debian.org>
Subject: add Multi-Arch support
Date: Sun, 4 Dec 2011 15:41:55 -0800
[Message part 1 (text/plain, inline)]
Package: libraw1394
Version: 2.0.7-1
Severity: normal
Tags: patch

As part of the Multi-Arch release goal, and during today's Bug Squashing
Party in Portland, I've converted libraw1394 to build with Multi-Arch
support.

Please see attached...

Thanks!

-Kees

-- 
Kees Cook                                            @debian.org
[libraw1394_2.0.7-2.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Guus Sliepen <guus@debian.org>:
Bug#651007; Package libraw1394. (Mon, 05 Dec 2011 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Guus Sliepen <guus@debian.org>. (Mon, 05 Dec 2011 00:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 651007@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Kees Cook <kees@debian.org>, 651007@bugs.debian.org
Subject: Re: Bug#651007: add Multi-Arch support
Date: Mon, 5 Dec 2011 01:13:30 +0100
(I am not the maintainer of this package.)

* Kees Cook <kees@debian.org>, 2011-12-04, 15:41:
> Package: libraw1394-dev
> Section: libdevel
>+Multi-Arch: same
>+Pre-Depends: ${misc:Pre-Depends}

Unless I'm missing something, Pre-Depends for the -dev package is not 
needed, as this package doesn't ship any shared libraries.

>+Package: libraw1394-tools
>+Section: utils
>+Architecture: any
>+Depends: libraw1394-11 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
>+Suggests: libraw1394-doc

This package will fail to unpack (because of file conflict) if old 
libraw1394-dev is still installed. Breaks+Replaces are needed.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, 651007-submitter@bugs.debian.org, Guus Sliepen <guus@debian.org>:
Bug#651007; Package libraw1394. (Tue, 06 Dec 2011 00:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to 651007-submitter@bugs.debian.org, Guus Sliepen <guus@debian.org>. (Tue, 06 Dec 2011 00:15:05 GMT) Full text and rfc822 format available.

Message #15 received at 651007@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <651007@bugs.debian.org>
Subject: Re: add Multi-Arch support
Date: Mon, 05 Dec 2011 16:12:03 -0800
[Message part 1 (text/plain, inline)]
Package: libraw1394
Version: 2.0.7-1
Followup-For: Bug #651007
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu precise ubuntu-patch

Hi guys,

Here's an updated patch that addresses Jakub's points.  I've also marked
libraw1394-tools Multi-Arch: foreign in the process, so that the
libraw1394-dev Recommends can be satisfied without warnings in a cross-build
environment.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[libraw1394_2.0.7-1ubuntu1.debdiff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 19 Feb 2012 19:09:23 GMT) Full text and rfc822 format available.

Reply sent to Guus Sliepen <guus@debian.org>:
You have taken responsibility. (Mon, 20 Feb 2012 21:36:04 GMT) Full text and rfc822 format available.

Notification sent to Kees Cook <kees@debian.org>:
Bug acknowledged by developer. (Mon, 20 Feb 2012 21:36:05 GMT) Full text and rfc822 format available.

Message #22 received at 651007-close@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: 651007-close@bugs.debian.org
Subject: Bug#651007: fixed in libraw1394 2.0.8-1
Date: Mon, 20 Feb 2012 21:32:47 +0000
Source: libraw1394
Source-Version: 2.0.8-1

We believe that the bug you reported is fixed in the latest version of
libraw1394, which is due to be installed in the Debian FTP archive:

libraw1394-11_2.0.8-1_amd64.deb
  to main/libr/libraw1394/libraw1394-11_2.0.8-1_amd64.deb
libraw1394-dev_2.0.8-1_amd64.deb
  to main/libr/libraw1394/libraw1394-dev_2.0.8-1_amd64.deb
libraw1394-doc_2.0.8-1_all.deb
  to main/libr/libraw1394/libraw1394-doc_2.0.8-1_all.deb
libraw1394-tools_2.0.8-1_amd64.deb
  to main/libr/libraw1394/libraw1394-tools_2.0.8-1_amd64.deb
libraw1394_2.0.8-1.debian.tar.gz
  to main/libr/libraw1394/libraw1394_2.0.8-1.debian.tar.gz
libraw1394_2.0.8-1.dsc
  to main/libr/libraw1394/libraw1394_2.0.8-1.dsc
libraw1394_2.0.8.orig.tar.xz
  to main/libr/libraw1394/libraw1394_2.0.8.orig.tar.xz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651007@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guus Sliepen <guus@debian.org> (supplier of updated libraw1394 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 19 Feb 2012 18:05:38 +0100
Source: libraw1394
Binary: libraw1394-dev libraw1394-doc libraw1394-11 libraw1394-tools
Architecture: source amd64 all
Version: 2.0.8-1
Distribution: unstable
Urgency: low
Maintainer: Guus Sliepen <guus@debian.org>
Changed-By: Guus Sliepen <guus@debian.org>
Description: 
 libraw1394-11 - library for direct access to IEEE 1394 bus (aka FireWire)
 libraw1394-dev - library for direct access to IEEE 1394 bus - development files
 libraw1394-doc - Reference manual and documentation about libraw1394
 libraw1394-tools - library for direct access to IEEE 1394 bus (aka FireWire)
Closes: 651007
Changes: 
 libraw1394 (2.0.8-1) unstable; urgency=low
 .
   * New upstream release.
   * Apply patch from Steve Langasek that adds multi-arch support.
     Closes: #651007
   * Bump Standards-Version.
   * Provide build-arch and build-indep targets in debian/rules.
   * Fix warnings found by -Wall and cppcheck.
Checksums-Sha1: 
 dc3fcd0f038dd52426b5a7cdfbd31d15cec0bb2b 1297 libraw1394_2.0.8-1.dsc
 abcb2a03eaf0afd1f975e54aae8ec13222d3d477 279060 libraw1394_2.0.8.orig.tar.xz
 e48f3d25d8568aab0164f28608d48dda580f5b2e 10200 libraw1394_2.0.8-1.debian.tar.gz
 630d98e46078b79dee752818150ea1fe5c108b2c 61538 libraw1394-dev_2.0.8-1_amd64.deb
 44528ecb39d120ff117fec8201f492ff218175fb 476246 libraw1394-doc_2.0.8-1_all.deb
 53971dab421cae4d9e6eb45590e8fe8400377703 49642 libraw1394-11_2.0.8-1_amd64.deb
 81037cd9d27ea6af6c09af236fad3f0d96757c5f 37422 libraw1394-tools_2.0.8-1_amd64.deb
Checksums-Sha256: 
 ac7a2f3fb377ebb5b8fc89e11ed5a7b00d874676d7653d9bb48aafcc070346df 1297 libraw1394_2.0.8-1.dsc
 e8c2fa8860a3e4067d9342490842f63f2cde2015521092064ba383aa75104467 279060 libraw1394_2.0.8.orig.tar.xz
 f5fc2d78ca9e8ae925e03241e783909f4cd0a25a684fdad45b7d73f17afc5256 10200 libraw1394_2.0.8-1.debian.tar.gz
 1193b763c5bfb419f0575e1912fe5bba8b28a40039d711578d1186d500ba5cd4 61538 libraw1394-dev_2.0.8-1_amd64.deb
 01a1388bd0762481e25da03501f95cdef089171ceb70289875f431f964ef9740 476246 libraw1394-doc_2.0.8-1_all.deb
 dad6d9001cc01284589d9ea88ab8bd5a4fa7cc3ff77cdb674ecd3d2ea60846bf 49642 libraw1394-11_2.0.8-1_amd64.deb
 3fbac8db21e90b6504bf5ee9d5bf351416a586b773dc97f7fd9c70aefc74a7e2 37422 libraw1394-tools_2.0.8-1_amd64.deb
Files: 
 5eab88e5d88a2144964b1357e27c9415 1297 libs optional libraw1394_2.0.8-1.dsc
 df808e85ebfdfd0485a9938fcfd2d1c6 279060 libs optional libraw1394_2.0.8.orig.tar.xz
 0258a23c6ac7f372f08c2d2dda67d169 10200 libs optional libraw1394_2.0.8-1.debian.tar.gz
 e7f676dc1f79b3d388aa1490b546c5cc 61538 libdevel optional libraw1394-dev_2.0.8-1_amd64.deb
 9da7a91ab030ccc9f2053f32b840c091 476246 doc optional libraw1394-doc_2.0.8-1_all.deb
 3207aced934393bed2fa824f1fe55938 49642 libs optional libraw1394-11_2.0.8-1_amd64.deb
 e0b2fc9dcbb936d31db0b9cc1dc70d28 37422 utils optional libraw1394-tools_2.0.8-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk9BOpIACgkQAxLow12M2nsxyQCeOwVJ0qN/NNJ52iBYYbCvMTgJ
wzUAn1C6YEYZO3CEIJpcpj3tCk31JEu/
=i3dA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 30 Mar 2012 07:32:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:40:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.